local name,addon = ...
addon['RegisterFunc']({'ADDON_LOADED','PLAYER_LOGOUT','PLAYER_ENTERING_WORLD'},"OnEvent", function(self,event,arg1)
	if(event=='ADDON_LOADED') then
		if(arg1 ~= name) then
			return
		end
		addon['db'] = LibStub("AceDB-3.0"):New(name.."DB")
		addon['InitConfig'](addon, name, true, {})
		self:UnregisterEvent(event)
		addon['HandleFunclist'](addon,'preloads')
		addon['HandleFunclist'](addon,'barprefs')
		addon['AddConfigEntry'](addon, name, 'toggle', 'dragAble', 'Unlocked', 'Use alt+click to move your bars', 1)
	elseif(event=='PLAYER_LOGOUT') then
		addon['HandleFunclist'](addon,'logouts')
		return
	end
	addon['pguid'] = UnitGUID("player")
	if(addon['pguid']) then
		addon['class'] = select(2, UnitClass('player'))
		addon['HandleFunclist'](addon,'inits')
		addon['barsUpdate']()
		addon['scanAura']("player")
		self:UnregisterEvent('PLAYER_ENTERING_WORLD')
--		self:SetScript("OnEvent", nil)
	end
end)


